Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Nov 2014, 10:56
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Beryl on Puppy(Installation guide for nvidia gfx cards.)
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 6 of 7 [92 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7 Next
Author Message
cb88


Joined: 28 Jan 2007
Posts: 1169
Location: USA

PostPosted: Mon 09 Jul 2007, 13:02    Post subject:  

i am trying to run beryl on an nvidia 6200 pci express any tips see the anouncement for 2.17 alpha xorg basically crashes right from the start. do i need newer drivers? have both beryl 2.1 and 3.0 working on my geforce2 400mx 64mb 4x agp at home needed glitz for beryl 3.0 got it off your filefront page and it works
here:
http://www.murga-linux.com/puppy/viewtopic.php?t=19677

thanks everybody
@wow thanks 10^100000

cb88
Back to top
View user's profile Send private message Visit poster's website 
wow

Joined: 29 Jun 2006
Posts: 988
Location: Peru

PostPosted: Tue 10 Jul 2007, 08:42    Post subject:  

cb88 wrote:
do i need newer drivers?

My Xorg-7.2 package has newer drivers. Try to install(in order) [Pack]x11-7.2-i486.pup in Xvesa mode then run xorgwizard to switch to Xorg. Now if you want 3D acceleration install the Mesa dotpup and this driver(requires devx_217.sfs): http://www.nvidia.com/object/linux_display_ia32_100.14.11.html

_________________

Back to top
View user's profile Send private message 
erikkire

Joined: 09 Nov 2006
Posts: 31
Location: cebu

PostPosted: Wed 11 Jul 2007, 14:24    Post subject:  

can someone please post a link of binary package of xfce 4.4.1 here? tnx
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 988
Location: Peru

PostPosted: Wed 11 Jul 2007, 16:52    Post subject:  

Get the graphical installer or sources from: http://www.xfce.org/download/

I cannot share my xfce-4.4.1 binaries because "my Puppy" uses gtk+-2.10.12 and the official Puppy works under gtk+-2.8.x

And about Compiz Fusion, I got it working on the same system required to run Beryl(Puppy) with few updates such as: intltool-0.35.5; pygobject-2.12.x; pygtk-2.10.4; mesa-7.0. BUT there are problems, CCSM(CompizConfigSettingsManager) still needs gtk+ 2.10.x; so Compiz Fusion is almost unconfigurable. Some tweaks can be done through an old version of "CompizConfigSettings".

This is the end(for now) we have to wait for a more updated release of Puppy; switch to Grafpup or use a fancy puppy derivate.

Note: Compiz and Beryl can't coexist(in my setup).

_________________

Back to top
View user's profile Send private message 
Wilsonb

Joined: 03 Jul 2007
Posts: 57

PostPosted: Sat 14 Jul 2007, 01:47    Post subject:    

[quote="wow"]
dWLkR wrote:
due to lack of time - i´d like to kindly ask if someone is willingly creating a puppy derivate (an ISO) with all this what is/was discussed here?! :>

Hmm, not from me (don't have the time to install, preconfigure, test, upload, etc.) sorry, but I was thinking about a pup_save file with everything preinstalled(for Intel and ATI gpus).
[quote="wow"]

___________________________________


This would be a great idea...

Please post when you got it done.. I am learning... but this would make things a lot easier...
I'm even having problems getting 945G Intel video dri to be active..
Using Puppy 2.17

Thanks for all your time..
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 988
Location: Peru

PostPosted: Wed 18 Jul 2007, 21:48    Post subject:  

Wilsonb wrote:

Please post when you got it done.. I am learning... but this would make things a lot easier...

Done. I need to test it and upload the file(maybe tomorrow) ah, it is for Puppy-2.16(2.17 uses another kernel)

_________________

Back to top
View user's profile Send private message 
Wilsonb

Joined: 03 Jul 2007
Posts: 57

PostPosted: Thu 19 Jul 2007, 14:08    Post subject: Got a little discouraged and tried something new
Subject description: Tried Knoppix 5.1.1 booting off USB instead of Puppy.
 

I have successfully used Puppy 2.17 and Knoppix 5.1.1, Booting off a USB. ( FAT 32) 1GB Sand Disk Ultra USB SD.


I got a little discouraged with trying to get Beryl working on Puppy. (primary sys- Intel 945G video)

A.)
http://puppylinux.org
I like how puppy boots up fast and runs on older systems.
Puppy was originally build ground up with a small foot print in mind. (These days, size isn't as much of a concern though.)
I had problems installing removing applications in Puppy. Also had problems with packages being outdated/missing or video (Intel 845G) Dri not Active/Open Gl from Original CD. Takes a little work.
Seems to take a lot of tweaking to get Beryl working in Puppy.

B.)Knoppix 5.1.1 boot off USB.
http://www.pendrivelinux.com/2007/01/01/usb-knoppix-510/
It does seem to boot slower. Beryl is native using cheat codes.
I like that Knoppix has a lot support in Package manager and hardware detection. It seems easier to install apps.
It seems Knoppix is more solid and supported. Is this assumption true?
If Knoppix booting off USB 'Emulates' a live boot from CD, how easy / hard is it to add remove apps? Do I have to recreate the "Live-CD"?
For example; I don't need Open office at the moment (400MB) or silly games and other apps that are packaged with 5.1.1.
How do I remove them? I tried through the package manager, but Office was still there and the updates didn't stick after restarting.
Do I have to stick with a 750MB partition for the "emulation of a Live CD" boot? I want to trim down the original package to what don't use, then build it up with what I do use.

Is Puppy ideal being that, Knoppix seems to simulate a live CD distro using Persistence mode versus Puppy using one big personal file.
I ran out of space on the 1Gb memory with Knoppix. (Im getting a 2Gb tomorrow.)

Trying to way to cons/pros


Is there a way to configure a hardware profile at boot up? Meaning, It wont have to do a hardware detect again. I could just select, PC#2 or #4
At boot up and it would boot faster.

I do like the Eye Candy and transparencies (like Beryl) but also the portability. (Being able to boot on any of most of todays systems - good hardware detection.)

Trying to figure which Distro I want to stick with. (Knoppix or Puppy)

I want to decide, so that way I will spend my time to configure and customize...

Thanks for all you time / input/ Advice on this.

I am a novice to linux. , but learning.. Confused [/b]
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 988
Location: Peru

PostPosted: Mon 23 Jul 2007, 01:01    Post subject: preinstalled beryl for puppy-2.16
Subject description: my last try
 

This file won't work on puppy-2.17. It is a clean save file with beryl 0.3 preinstalled, ATI and Intel opensource drivers, xfce, xfmedia, etc.
[pup_save-test01-p216beryl.zip] [53 MB]

Note1: Puppy won't boot if you place this file on a USB device at the first time.
Note2: You must extract this pup_save file on a hard disk the first time you boot it, you can copy the save file to a USB device only after reset or power off.
Note3: Some ATI gpus are incompatible with AIGLX(e.g. Radeon Xpress 200 and newer).

1. Extract to the same place where your others pupsave.2fs are placed. And Reboot
2. Choose my backup "pup_save-test01-p216beryl.2fs" when Puppy ask for it.
Edit: added 3rd step
3. Select a keyboard layout, and don't forget to choose Xorg as x server with 24bpp(e.g. 800x600x24)

If you have an nVidia card, install the proprietary driver, configure xorg with the nvidia tool as showed in the first post and restart X.

Quote:
nVidia Driver
- NVIDIA-9629-k2.6.18.1.tar.gz [get it here]
Just extract all files to / and run:
Code:
depmod
modprobe agpgart
modprobe i2c-core

Configure your xorg.conf file with this command.
Code:
nvidia-xconfig --add-argb-glx-visuals --allow-glx-with-composite --disable-glx-root-clipping --render-accel --composite --depth=24

Restart X


Run Beryl from "Menu>System>Beryl Manager"

If everything goes well you'll get something like this(with an Intel gpu Smile ):

- <Super>+Tab


- Group and Tab windows: Select 2 or more windows, <Super>+T


If Beryl didn't start reboot the pc and remove my save file.

_________________


Last edited by wow on Mon 23 Jul 2007, 06:27; edited 3 times in total
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Mon 23 Jul 2007, 05:24    Post subject:  

Cool This should be fun for those with ATI and Nvidia cards. Many thanks.

I tried from Linux Tmxxine which is based on 2.16.1 but I think it safer to start from Puppy 2.16.1

Basically I followed your instructions but when I got to installing the NVidia driver, I ran low with memory - which is another issue to do with sfs

from the prompt (ctrl + alt + backspace) do you use "xwin xfce4" to start xfce?

I think Icewm, xfce and jwm all seemed to want to be the window manager . . .

Be interested how others get on from Puppy 2.16 and 2.16.1

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
wow

Joined: 29 Jun 2006
Posts: 988
Location: Peru

PostPosted: Mon 23 Jul 2007, 06:18    Post subject:  

Lobster wrote:
from the prompt (ctrl + alt + backspace) do you use "xwin xfce4" to start xfce?

"xwin xfce4-session"
It looks like that because I killed almost everything but the panel before save session.

_________________

Back to top
View user's profile Send private message 
cb88


Joined: 28 Jan 2007
Posts: 1169
Location: USA

PostPosted: Mon 30 Jul 2007, 12:00    Post subject:  

have you tried to run beryl or compiz on NOP it has the nvidia divers (9639)preinstalled at only 84 mb and xfce 4.4.1 as default not sure if it has gtk 2.10 or 2.8

i tried beryl 3.0 but got glxinfo missing and libglut missing

maybe you are more familiar with these issues

maybe some stuff got overwritten when i upgraded x
cb88
Back to top
View user's profile Send private message Visit poster's website 
Wilsonb

Joined: 03 Jul 2007
Posts: 57

PostPosted: Fri 03 Aug 2007, 19:45    Post subject: OK, I don't know what the 4ell im doing !@#$
Subject description: And now I have no icons/background on desktop and roxy file shower doesn't work In ICEwm & xfce..
 

Ok, im in learning phase.. (fustrating phase.. Sad )

I tried to help myself, but think Im to novice at this point.
Should I just give up and start over?

I was trying to get Beryl working on my Puppy 2.17 1GB SD (Now moved everything and working off a 2GB SD) REsized the Personal storage file.

I followed these instructions;
http://www.murga-linux.com/puppy/viewtopic.php?t=16427

I installed;
- [Pack]x11-7.2-i486.pup
1. libcroco-0.6.1.pup
2. librsvg-2.14.1.pup
3. cairo-1.4.0[svg].pup
- mesa-6.5.2.pup
- mesa-6.5.2-xdemos-glxinfo.pup
Python-2.5.pup
- pycairo-1.2.6.pup
- pygtk-2.8.6.pup
- pyrex-0.9.5.1a.pup
More Beryl & Emerald dependencies:
- startup-notification-0.8.pup
- libwnck-2.16.1
- xdpyinfo.pup
- glitz-0.5.6.pup

And now I have no icons/background on desktop and roxy file shower doesn't work In ICEwm & xfce. (just the rt click menu & taskbar)
jwm doesnt even start. Always drops me to command terminal)

The only thing this project did for me was fill up my save file(storage file, even after I deleted the pup packages)
(Now moved everything and working off a 2GB SD) REsized the Personal storage file.

Attached is my xerrs.log file. (Please let me know if there is another log thats helpful)
Quote:

** (ROX-Filer:3597): WARNING **: Couldn't recognize the image file format for file '/usr/local/apps/ROX-Filer/images/rox-show-details.png'

(ROX-Filer:3597): GdkPixbuf-WARNING **: Error loading XPM image loader: Image type 'xpm' is not supported

(ROX-Filer:3597): Gtk-WARNING **: Useless empty GtkIconSource
icewm
IceWM: using /root/.icewm for private configuration files
IceWM: Warning: Deprecated option: considerHorizBorder == true
IceWM: Warning: Deprecated option: considerVertBorder == true
IceWM: Warning: Deprecated option: sizeMaximized == true
IMLIB ERROR: Cannot load image: /usr/local/lib/X11/pixmaps/mozicon32.xpm
All fallbacks failed.




Heres the directories that have this file for example.
It's all over the place and some show file size 0 and a few show 9 & 7093 .


/initrd/pup_ro1/usr/local/lib/X11/pixmaps/mozicon32.xpm
/initrd/pup_ro1/usr/local/lib/X11/X11/pixmaps/mozicon32.xpm
/initrd/pup_ro1/usr/local/lib/pixmaps/mozicon32.xpm
/initrd/pup_ro1/mozicon32.xpm (-initrd-pup_ro1-usr-local-lib-pixmaps)
/initrd/pup_ro1/mozicon32.xpm (-initrd-pup_ro1-usr-local-lib-X11-pixmaps)
/initrd/pup_ro1/mozicon32.xpm (-initrd-pup_ro1-usr-local-lib-X11-X11-pixmaps)
/initrd/pup_ro1/mozicon32.xpm (-initrd-pup_ro2-usr-local-lib-X11-pixmaps)
/initrd/pup_ro1/mozicon32.xpm (-usr-local-lib-pixmaps)
/initrd/pup_ro1/mozicon32.xpm (-usr-local-lib-X11-pixmaps)
/initrd/pup_ro1/mozicon32.xpm (-usr-local-lib-X11-X11-pixmaps)
/initrd/pup_ro2/usr/local/lib/X11/pixmaps/mozicon32.xpm
/usr/local/lib/X11/pixmaps/mozicon32.xpm
/usr/local/lib/X11/X11/pixmaps/mozicon32.xpm
/usr/local/lib/pixmaps/mozicon32.xpm
/mozicon32.xpm (-initrd-pup_ro1-usr-local-lib-pixmaps)
/mozicon32.xpm (-initrd-pup_ro1-usr-local-lib-X11-pixmaps)
/mozicon32.xpm (-initrd-pup_ro1-usr-local-lib-X11-X11-pixmaps)
/mozicon32.xpm (-initrd-pup_ro2-usr-local-lib-X11-pixmaps)
/mozicon32.xpm (-usr-local-lib-pixmaps)
/mozicon32.xpm (-usr-local-lib-X11-pixmaps)
/mozicon32.xpm (-usr-local-lib-X11-X11-pixmaps)
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 988
Location: Peru

PostPosted: Sat 04 Aug 2007, 00:28    Post subject:  

I'm back, let's see...

cb88 wrote:
have you tried to run beryl or compiz on NOP it has the nvidia divers (9639)preinstalled at only 84 mb and xfce 4.4.1 as default not sure if it has gtk 2.10 or 2.8...

Well, I've downloaded NOP and yes, the nvidia's GLX extension was replaced after the upgrade and some other files(solved, I ll give you instructions later).

Now, I have a crazy idea(only for nVidia):
- install the latest compiz fusion
- install gtk+ 2.10.x(and dependencies) from the Grafpup repo.
- remaster NOP

Wilsonb wrote:
Ok, im in learning phase.. (fustrating phase.. Sad )


Is frustrating for me too(specially for compiz fusion). Sometimes I'm thinking about reinstall Kubuntu Crying or Very sad ...

Wilsonb wrote:
Heres the directories that have this file for example.
It's all over the place and some show file size 0 and a few show 9 & 7093


I've experienced the same problem installing those .pups directly to the usb device(buffered filesystem?). Installing everything to the HD(a pupsave file in the HD) wont give you that problem.

Seems that you pup_save file is damaged, check it with
Code:
fsck -af /<path to the file>/pup_save.2fs


And please use the pup_save file I posted some days ago(tested on a pc with an Intel gpu).
http://www.murga-linux.com/puppy/viewtopic.php?p=129952#129952


I dont want to make and ISO since everything in here is highly experimental.

_________________

Back to top
View user's profile Send private message 
Wilsonb

Joined: 03 Jul 2007
Posts: 57

PostPosted: Sun 05 Aug 2007, 23:59    Post subject: Re: preinstalled beryl for puppy-2.16
Subject description: my last try
 

[quote="wow"]This file won't work on puppy-2.17. It is a clean save file with beryl 0.3 preinstalled, ATI and Intel opensource drivers, xfce, xfmedia, etc.
[pup_save-test01-p216beryl.zip] [53 MB]

Out of curiosity, does Beryl work on 2.17 at all?
Back to top
View user's profile Send private message 
Paul-B


Joined: 04 May 2007
Posts: 44
Location: Cambridge - United Kingdom

PostPosted: Mon 06 Aug 2007, 00:29    Post subject:  

That's my question too Wilson, I don't have a machine capable of running Beryl at the moment (the specs in my sig are a work in progress).

Paul-B

_________________
Puppy Rig: 2ghz Pentium 4 Skt423 CPU - Intel D850GB Motherboard - 1gb (4x256MB) Samsung PC800 RAM - WinFast GeForce 4 Ti4600 128MB GPU - Creative SB Live! Soundcard - Samsung 730MW 17" Widescreen LCD Monitor - 350w Antec SmartPower PSU
Back to top
View user's profile Send private message MSN Messenger 
Display posts from previous:   Sort by:   
Page 6 of 7 [92 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1087s ][ Queries: 11 (0.0065s) ][ GZIP on ]